com.sun.grid.jgdi.configuration

## Class PETaskImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.PETaskImpl

- All Implemented Interfaces:
    GEObject, PETask, java.io.Serializable, java.lang.Cloneable

      public class PETaskImpl
      extends GEObjectImpl
      implements PETask

  Java representation of the cull object PET_Type defined in sge_all_listsL.template

  Warning: The PETaskImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PETaskImpl()` Create a new instance of PETaskImpl.
    `PETaskImpl(boolean initWithDefaultValues)` Create a new instanceof
    `PETaskImpl(java.lang.String id)` Create a new instance of PETaskImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Add a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `addPathAliases(PathAlias apathAliases)` Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getCwd()` Get the value of the cwd attribute.
    `java.lang.String` | `getDefaultEnvironment()` Get the default value of the attribute environment.
    `double` | `getDefaultPreviousUsage()` Get the default value of the attribute previousUsage.
    `double` | `getDefaultReportedUsage()` Get the default value of the attribute reportedUsage.
    `double` | `getDefaultScaledUsage()` Get the default value of the attribute scaledUsage.
    `double` | `getDefaultUsage()` Get the default value of the attribute usage.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `java.lang.String` | `getEnvironment(java.lang.String key)` Get the environment attribute for a key.
    `int` | `getEnvironmentCount()` Get the number of keys which have the attribute environment set.
    `java.util.Set<java.lang.String>` | `getEnvironmentKeys()` Get the set of keys which have the attribute environment set.
    `JG` | `getGrantedDestinIdentifier(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedDestinIdentifierCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedDestinIdentifierList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getId()` Get the value of the id attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getOsjobid()` Get the value of the osjobid attribute.
    `PathAlias` | `getPathAliases(int index)` Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `int` | `getPathAliasesCount()` Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
    `java.util.List<PathAlias>` | `getPathAliasesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `int` | `getPid()` Get the value of the pid attribute.
    `double` | `getPreviousUsage(java.lang.String key)` Get the previousUsage attribute for a key.
    `int` | `getPreviousUsageCount()` Get the number of keys which have the attribute previousUsage set.
    `java.util.Set<java.lang.String>` | `getPreviousUsageKeys()` Get the set of keys which have the attribute previousUsage set.
    `double` | `getReportedUsage(java.lang.String key)` Get the reportedUsage attribute for a key.
    `int` | `getReportedUsageCount()` Get the number of keys which have the attribute reportedUsage set.
    `java.util.Set<java.lang.String>` | `getReportedUsageKeys()` Get the set of keys which have the attribute reportedUsage set.
    `double` | `getScaledUsage(java.lang.String key)` Get the scaledUsage attribute for a key.
    `int` | `getScaledUsageCount()` Get the number of keys which have the attribute scaledUsage set.
    `java.util.Set<java.lang.String>` | `getScaledUsageKeys()` Get the set of keys which have the attribute scaledUsage set.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getStatus()` Get the value of the status attribute.
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `double` | `getUsage(java.lang.String key)` Get the usage attribute for a key.
    `int` | `getUsageCount()` Get the number of keys which have the attribute usage set.
    `java.util.Set<java.lang.String>` | `getUsageKeys()` Get the set of keys which have the attribute usage set.
    `boolean` | `isDoContact()` Get the value of the doContact attribute.
    `boolean` | `isSetCwd()` Determine if the cwd attribute is set
    `boolean` | `isSetDoContact()` Determine if the doContact attribute is set
    `boolean` | `isSetEndTime()` Determine if the endTime attribute is set
    `boolean` | `isSetEnvironment()` Determine if any environment attribute is set
    `boolean` | `isSetEnvironment(java.lang.String key)` Determine if any environment attribute is for a key is set
    `boolean` | `isSetGrantedDestinIdentifier()` Determine if the grantedDestinIdentifier attribute is set
    `boolean` | `isSetId()` Determine if the id attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetOsjobid()` Determine if the osjobid attribute is set
    `boolean` | `isSetPathAliases()` Determine if the pathAliases attribute is set
    `boolean` | `isSetPid()` Determine if the pid attribute is set
    `boolean` | `isSetPreviousUsage()` Determine if any previousUsage attribute is set
    `boolean` | `isSetPreviousUsage(java.lang.String key)` Determine if any previousUsage attribute is for a key is set
    `boolean` | `isSetReportedUsage()` Determine if any reportedUsage attribute is set
    `boolean` | `isSetReportedUsage(java.lang.String key)` Determine if any reportedUsage attribute is for a key is set
    `boolean` | `isSetScaledUsage()` Determine if any scaledUsage attribute is set
    `boolean` | `isSetScaledUsage(java.lang.String key)` Determine if any scaledUsage attribute is for a key is set
    `boolean` | `isSetStartTime()` Determine if the startTime attribute is set
    `boolean` | `isSetStatus()` Determine if the status attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if the submissionTime attribute is set
    `boolean` | `isSetUsage()` Determine if any usage attribute is set
    `boolean` | `isSetUsage(java.lang.String key)` Determine if any usage attribute is for a key is set
    `void` | `putEnvironment(java.lang.String key, java.lang.String value)` Put the attribute environment for a key.
    `void` | `putPreviousUsage(java.lang.String key, double value)` Put the attribute previousUsage for a key.
    `void` | `putReportedUsage(java.lang.String key, double value)` Put the attribute reportedUsage for a key.
    `void` | `putScaledUsage(java.lang.String key, double value)` Put the attribute scaledUsage for a key.
    `void` | `putUsage(java.lang.String key, double value)` Put the attribute usage for a key.
    `void` | `removeAllEnvironment()` Remove the attribute environment for all keys.
    `void` | `removeAllGrantedDestinIdentifier()` Remove all com.sun.grid.jgdi.configuration.JG attributes.
    `void` | `removeAllPathAliases()` Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
    `void` | `removeAllPreviousUsage()` Remove the attribute previousUsage for all keys.
    `void` | `removeAllReportedUsage()` Remove the attribute reportedUsage for all keys.
    `void` | `removeAllScaledUsage()` Remove the attribute scaledUsage for all keys.
    `void` | `removeAllUsage()` Remove the attribute usage for all keys.
    `java.lang.String` | `removeEnvironment(java.lang.String key)` remove the attribute environment for a key.
    `JG` | `removeGrantedDestinIdentifier(int index)` Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `boolean` | `removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)` Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
    `PathAlias` | `removePathAliases(int index)` Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
    `boolean` | `removePathAliases(PathAlias apathAliases)` Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
    `java.lang.Double` | `removePreviousUsage(java.lang.String key)` remove the attribute previousUsage for a key.
    `java.lang.Double` | `removeReportedUsage(java.lang.String key)` remove the attribute reportedUsage for a key.
    `java.lang.Double` | `removeScaledUsage(java.lang.String key)` remove the attribute scaledUsage for a key.
    `java.lang.Double` | `removeUsage(java.lang.String key)` remove the attribute usage for a key.
    `void` | `setCwd(java.lang.String aCwd)` Set the cwd attribute.
    `void` | `setDoContact(boolean aDoContact)` Set the doContact attribute.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setGrantedDestinIdentifier(int index, JG agrantedDestinIdentifier)` Set a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `setId(java.lang.String aId)` Set the id attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOsjobid(java.lang.String aOsjobid)` Set the osjobid attribute.
    `void` | `setPathAliases(int index, PathAlias apathAliases)` Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
    `void` | `setPid(int aPid)` Set the pid attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setStatus(int aStatus)` Set the status attribute.
    `void` | `setSubmissionTime(int aSubmissionTime)` Set the submissionTime attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### PETaskImpl

          public PETaskImpl()

      Create a new instance of PETaskImpl. The new instance will not be initialized with the default values.

    - #### PETaskImpl

          public PETaskImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### PETaskImpl

          public PETaskImpl(java.lang.String id)

      Create a new instance of PETaskImpl

  - ### Method Detail

    - #### isSetId

          public boolean isSetId()

      Determine if the id attribute is set
      Specified by:
        `isSetId` in interface `PETask`
      Returns:
        `true` if the id attribute is set

    - #### setId

          public void setId(java.lang.String aId)

      Set the id attribute.
      Specified by:
        `setId` in interface `PETask`
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          public java.lang.String getId()

      Get the value of the id attribute.
      Specified by:
        `getId` in interface `PETask`
      Returns:
        the value of the id attribute

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `PETask`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `PETask`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `PETask`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetStatus

          public boolean isSetStatus()

      Determine if the status attribute is set
      Specified by:
        `isSetStatus` in interface `PETask`
      Returns:
        `true` if the status attribute is set

    - #### setStatus

          public void setStatus(int aStatus)

      Set the status attribute.
      Specified by:
        `setStatus` in interface `PETask`
      Parameters:
        `aStatus` - the new value for the status attribute

    - #### getStatus

          public int getStatus()

      Get the value of the status attribute.
      Specified by:
        `getStatus` in interface `PETask`
      Returns:
        the value of the status attribute

    - #### addGrantedDestinIdentifier

          public void addGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Add a com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `addGrantedDestinIdentifier` in interface `PETask`
      Parameters:
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### setGrantedDestinIdentifier

          public void setGrantedDestinIdentifier(int index,
                                                 JG agrantedDestinIdentifier)

      Set a com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `setGrantedDestinIdentifier` in interface `PETask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JG attribute
        `agrantedDestinIdentifier` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### removeAllGrantedDestinIdentifier

          public void removeAllGrantedDestinIdentifier()

      Remove all com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `removeAllGrantedDestinIdentifier` in interface `PETask`

    - #### removeGrantedDestinIdentifier

          public JG removeGrantedDestinIdentifier(int index)

      Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Specified by:
        `removeGrantedDestinIdentifier` in interface `PETask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JG attribute or `null` if no attribute at this index is stored

    - #### removeGrantedDestinIdentifier

          public boolean removeGrantedDestinIdentifier(JG agrantedDestinIdentifier)

      Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
      Specified by:
        `removeGrantedDestinIdentifier` in interface `PETask`
      Parameters:
        `agrantedDestinIdentifier` - the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JG attribute has been removed

    - #### getGrantedDestinIdentifierList

          public java.util.List<JG> getGrantedDestinIdentifierList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedDestinIdentifierList` in interface `PETask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedDestinIdentifierCount

          public int getGrantedDestinIdentifierCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedDestinIdentifierCount` in interface `PETask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedDestinIdentifier

          public JG getGrantedDestinIdentifier(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Specified by:
        `getGrantedDestinIdentifier` in interface `PETask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### isSetGrantedDestinIdentifier

          public boolean isSetGrantedDestinIdentifier()

      Determine if the grantedDestinIdentifier attribute is set
      Specified by:
        `isSetGrantedDestinIdentifier` in interface `PETask`
      Returns:
        `true` if the grantedDestinIdentifier attribute is set

    - #### isSetPid

          public boolean isSetPid()

      Determine if the pid attribute is set
      Specified by:
        `isSetPid` in interface `PETask`
      Returns:
        `true` if the pid attribute is set

    - #### setPid

          public void setPid(int aPid)

      Set the pid attribute.
      Specified by:
        `setPid` in interface `PETask`
      Parameters:
        `aPid` - the new value for the pid attribute

    - #### getPid

          public int getPid()

      Get the value of the pid attribute.
      Specified by:
        `getPid` in interface `PETask`
      Returns:
        the value of the pid attribute

    - #### isSetOsjobid

          public boolean isSetOsjobid()

      Determine if the osjobid attribute is set
      Specified by:
        `isSetOsjobid` in interface `PETask`
      Returns:
        `true` if the osjobid attribute is set

    - #### setOsjobid

          public void setOsjobid(java.lang.String aOsjobid)

      Set the osjobid attribute.
      Specified by:
        `setOsjobid` in interface `PETask`
      Parameters:
        `aOsjobid` - the new value for the osjobid attribute

    - #### getOsjobid

          public java.lang.String getOsjobid()

      Get the value of the osjobid attribute.
      Specified by:
        `getOsjobid` in interface `PETask`
      Returns:
        the value of the osjobid attribute

    - #### putUsage

          public void putUsage(java.lang.String key,
                               double value)

      Put the attribute usage for a key.

      Specified by:
        `putUsage` in interface `PETask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultUsage

          public double getDefaultUsage()

      Get the default value of the attribute usage.

      Specified by:
        `getDefaultUsage` in interface `PETask`
      Returns:
        the default value of the attribute usage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getUsage

          public double getUsage(java.lang.String key)

      Get the usage attribute for a key.

      Specified by:
        `getUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        the usage attribute for the host or the default value of usage

    - #### removeUsage

          public java.lang.Double removeUsage(java.lang.String key)

      remove the attribute usage for a key.

      Specified by:
        `removeUsage` in interface `PETask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllUsage

          public void removeAllUsage()

      Remove the attribute usage for all keys.

      Specified by:
        `removeAllUsage` in interface `PETask`

    - #### getUsageKeys

          public java.util.Set<java.lang.String> getUsageKeys()

      Get the set of keys which have the attribute usage set.
      Specified by:
        `getUsageKeys` in interface `PETask`
      Returns:
        set of keys

    - #### getUsageCount

          public int getUsageCount()

      Get the number of keys which have the attribute usage set.
      Specified by:
        `getUsageCount` in interface `PETask`
      Returns:
        the number of keys which have the attribute usage set.

    - #### isSetUsage

          public boolean isSetUsage()

      Determine if any usage attribute is set
      Specified by:
        `isSetUsage` in interface `PETask`
      Returns:
        `true` if the usage attribute is set

    - #### isSetUsage

          public boolean isSetUsage(java.lang.String key)

      Determine if any usage attribute is for a key is set
      Specified by:
        `isSetUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the usage attribute is set

    - #### putScaledUsage

          public void putScaledUsage(java.lang.String key,
                                     double value)

      Put the attribute scaledUsage for a key.

      Specified by:
        `putScaledUsage` in interface `PETask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultScaledUsage

          public double getDefaultScaledUsage()

      Get the default value of the attribute scaledUsage.

      Specified by:
        `getDefaultScaledUsage` in interface `PETask`
      Returns:
        the default value of the attribute scaledUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getScaledUsage

          public double getScaledUsage(java.lang.String key)

      Get the scaledUsage attribute for a key.

      Specified by:
        `getScaledUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        the scaledUsage attribute for the host or the default value of scaledUsage

    - #### removeScaledUsage

          public java.lang.Double removeScaledUsage(java.lang.String key)

      remove the attribute scaledUsage for a key.

      Specified by:
        `removeScaledUsage` in interface `PETask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllScaledUsage

          public void removeAllScaledUsage()

      Remove the attribute scaledUsage for all keys.

      Specified by:
        `removeAllScaledUsage` in interface `PETask`

    - #### getScaledUsageKeys

          public java.util.Set<java.lang.String> getScaledUsageKeys()

      Get the set of keys which have the attribute scaledUsage set.
      Specified by:
        `getScaledUsageKeys` in interface `PETask`
      Returns:
        set of keys

    - #### getScaledUsageCount

          public int getScaledUsageCount()

      Get the number of keys which have the attribute scaledUsage set.
      Specified by:
        `getScaledUsageCount` in interface `PETask`
      Returns:
        the number of keys which have the attribute scaledUsage set.

    - #### isSetScaledUsage

          public boolean isSetScaledUsage()

      Determine if any scaledUsage attribute is set
      Specified by:
        `isSetScaledUsage` in interface `PETask`
      Returns:
        `true` if the scaledUsage attribute is set

    - #### isSetScaledUsage

          public boolean isSetScaledUsage(java.lang.String key)

      Determine if any scaledUsage attribute is for a key is set
      Specified by:
        `isSetScaledUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the scaledUsage attribute is set

    - #### putReportedUsage

          public void putReportedUsage(java.lang.String key,
                                       double value)

      Put the attribute reportedUsage for a key.

      Specified by:
        `putReportedUsage` in interface `PETask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultReportedUsage

          public double getDefaultReportedUsage()

      Get the default value of the attribute reportedUsage.

      Specified by:
        `getDefaultReportedUsage` in interface `PETask`
      Returns:
        the default value of the attribute reportedUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getReportedUsage

          public double getReportedUsage(java.lang.String key)

      Get the reportedUsage attribute for a key.

      Specified by:
        `getReportedUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        the reportedUsage attribute for the host or the default value of reportedUsage

    - #### removeReportedUsage

          public java.lang.Double removeReportedUsage(java.lang.String key)

      remove the attribute reportedUsage for a key.

      Specified by:
        `removeReportedUsage` in interface `PETask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllReportedUsage

          public void removeAllReportedUsage()

      Remove the attribute reportedUsage for all keys.

      Specified by:
        `removeAllReportedUsage` in interface `PETask`

    - #### getReportedUsageKeys

          public java.util.Set<java.lang.String> getReportedUsageKeys()

      Get the set of keys which have the attribute reportedUsage set.
      Specified by:
        `getReportedUsageKeys` in interface `PETask`
      Returns:
        set of keys

    - #### getReportedUsageCount

          public int getReportedUsageCount()

      Get the number of keys which have the attribute reportedUsage set.
      Specified by:
        `getReportedUsageCount` in interface `PETask`
      Returns:
        the number of keys which have the attribute reportedUsage set.

    - #### isSetReportedUsage

          public boolean isSetReportedUsage()

      Determine if any reportedUsage attribute is set
      Specified by:
        `isSetReportedUsage` in interface `PETask`
      Returns:
        `true` if the reportedUsage attribute is set

    - #### isSetReportedUsage

          public boolean isSetReportedUsage(java.lang.String key)

      Determine if any reportedUsage attribute is for a key is set
      Specified by:
        `isSetReportedUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the reportedUsage attribute is set

    - #### putPreviousUsage

          public void putPreviousUsage(java.lang.String key,
                                       double value)

      Put the attribute previousUsage for a key.

      Specified by:
        `putPreviousUsage` in interface `PETask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultPreviousUsage

          public double getDefaultPreviousUsage()

      Get the default value of the attribute previousUsage.

      Specified by:
        `getDefaultPreviousUsage` in interface `PETask`
      Returns:
        the default value of the attribute previousUsage
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPreviousUsage

          public double getPreviousUsage(java.lang.String key)

      Get the previousUsage attribute for a key.

      Specified by:
        `getPreviousUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        the previousUsage attribute for the host or the default value of previousUsage

    - #### removePreviousUsage

          public java.lang.Double removePreviousUsage(java.lang.String key)

      remove the attribute previousUsage for a key.

      Specified by:
        `removePreviousUsage` in interface `PETask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllPreviousUsage

          public void removeAllPreviousUsage()

      Remove the attribute previousUsage for all keys.

      Specified by:
        `removeAllPreviousUsage` in interface `PETask`

    - #### getPreviousUsageKeys

          public java.util.Set<java.lang.String> getPreviousUsageKeys()

      Get the set of keys which have the attribute previousUsage set.
      Specified by:
        `getPreviousUsageKeys` in interface `PETask`
      Returns:
        set of keys

    - #### getPreviousUsageCount

          public int getPreviousUsageCount()

      Get the number of keys which have the attribute previousUsage set.
      Specified by:
        `getPreviousUsageCount` in interface `PETask`
      Returns:
        the number of keys which have the attribute previousUsage set.

    - #### isSetPreviousUsage

          public boolean isSetPreviousUsage()

      Determine if any previousUsage attribute is set
      Specified by:
        `isSetPreviousUsage` in interface `PETask`
      Returns:
        `true` if the previousUsage attribute is set

    - #### isSetPreviousUsage

          public boolean isSetPreviousUsage(java.lang.String key)

      Determine if any previousUsage attribute is for a key is set
      Specified by:
        `isSetPreviousUsage` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the previousUsage attribute is set

    - #### isSetSubmissionTime

          public boolean isSetSubmissionTime()

      Determine if the submissionTime attribute is set
      Specified by:
        `isSetSubmissionTime` in interface `PETask`
      Returns:
        `true` if the submissionTime attribute is set

    - #### setSubmissionTime

          public void setSubmissionTime(int aSubmissionTime)

      Set the submissionTime attribute.
      Specified by:
        `setSubmissionTime` in interface `PETask`
      Parameters:
        `aSubmissionTime` - the new value for the submissionTime attribute

    - #### getSubmissionTime

          public int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Specified by:
        `getSubmissionTime` in interface `PETask`
      Returns:
        the value of the submissionTime attribute

    - #### isSetStartTime

          public boolean isSetStartTime()

      Determine if the startTime attribute is set
      Specified by:
        `isSetStartTime` in interface `PETask`
      Returns:
        `true` if the startTime attribute is set

    - #### setStartTime

          public void setStartTime(int aStartTime)

      Set the startTime attribute.
      Specified by:
        `setStartTime` in interface `PETask`
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          public int getStartTime()

      Get the value of the startTime attribute.
      Specified by:
        `getStartTime` in interface `PETask`
      Returns:
        the value of the startTime attribute

    - #### isSetEndTime

          public boolean isSetEndTime()

      Determine if the endTime attribute is set
      Specified by:
        `isSetEndTime` in interface `PETask`
      Returns:
        `true` if the endTime attribute is set

    - #### setEndTime

          public void setEndTime(int aEndTime)

      Set the endTime attribute.
      Specified by:
        `setEndTime` in interface `PETask`
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          public int getEndTime()

      Get the value of the endTime attribute.
      Specified by:
        `getEndTime` in interface `PETask`
      Returns:
        the value of the endTime attribute

    - #### isSetCwd

          public boolean isSetCwd()

      Determine if the cwd attribute is set
      Specified by:
        `isSetCwd` in interface `PETask`
      Returns:
        `true` if the cwd attribute is set

    - #### setCwd

          public void setCwd(java.lang.String aCwd)

      Set the cwd attribute.
      Specified by:
        `setCwd` in interface `PETask`
      Parameters:
        `aCwd` - the new value for the cwd attribute

    - #### getCwd

          public java.lang.String getCwd()

      Get the value of the cwd attribute.
      Specified by:
        `getCwd` in interface `PETask`
      Returns:
        the value of the cwd attribute

    - #### addPathAliases

          public void addPathAliases(PathAlias apathAliases)

      Add a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `addPathAliases` in interface `PETask`
      Parameters:
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### setPathAliases

          public void setPathAliases(int index,
                                     PathAlias apathAliases)

      Set a com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `setPathAliases` in interface `PETask`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.PathAlias attribute
        `apathAliases` - the new com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### removeAllPathAliases

          public void removeAllPathAliases()

      Remove all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `removeAllPathAliases` in interface `PETask`

    - #### removePathAliases

          public PathAlias removePathAliases(int index)

      Remote a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Specified by:
        `removePathAliases` in interface `PETask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.PathAlias attribute or `null` if no attribute at this index is stored

    - #### removePathAliases

          public boolean removePathAliases(PathAlias apathAliases)

      Remote a specific com.sun.grid.jgdi.configuration.PathAlias attribute.
      Specified by:
        `removePathAliases` in interface `PETask`
      Parameters:
        `apathAliases` - the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.PathAlias attribute has been removed

    - #### getPathAliasesList

          public java.util.List<PathAlias> getPathAliasesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `getPathAliasesList` in interface `PETask`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.PathAlias attributes

    - #### getPathAliasesCount

          public int getPathAliasesCount()

      Get the number of com.sun.grid.jgdi.configuration.PathAlias attributes.
      Specified by:
        `getPathAliasesCount` in interface `PETask`
      Returns:
        The number of com.sun.grid.jgdi.configuration.PathAlias attributes.

    - #### getPathAliases

          public PathAlias getPathAliases(int index)

      Get a com.sun.grid.jgdi.configuration.PathAlias attribute at an index.
      Specified by:
        `getPathAliases` in interface `PETask`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.PathAlias attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.PathAlias attribute

    - #### isSetPathAliases

          public boolean isSetPathAliases()

      Determine if the pathAliases attribute is set
      Specified by:
        `isSetPathAliases` in interface `PETask`
      Returns:
        `true` if the pathAliases attribute is set

    - #### putEnvironment

          public void putEnvironment(java.lang.String key,
                                     java.lang.String value)

      Put the attribute environment for a key.

      Specified by:
        `putEnvironment` in interface `PETask`
      Parameters:
        `key` - the key
        `value` - the value

    - #### getDefaultEnvironment

          public java.lang.String getDefaultEnvironment()

      Get the default value of the attribute environment.

      Specified by:
        `getDefaultEnvironment` in interface `PETask`
      Returns:
        the default value of the attribute environment
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEnvironment

          public java.lang.String getEnvironment(java.lang.String key)

      Get the environment attribute for a key.

      Specified by:
        `getEnvironment` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        the environment attribute for the host or the default value of environment

    - #### removeEnvironment

          public java.lang.String removeEnvironment(java.lang.String key)

      remove the attribute environment for a key.

      Specified by:
        `removeEnvironment` in interface `PETask`
      Parameters:
        `key` - tje key
      Returns:
        the value for the key or `null` if the value attribute was not defined for the key.

    - #### removeAllEnvironment

          public void removeAllEnvironment()

      Remove the attribute environment for all keys.

      Specified by:
        `removeAllEnvironment` in interface `PETask`

    - #### getEnvironmentKeys

          public java.util.Set<java.lang.String> getEnvironmentKeys()

      Get the set of keys which have the attribute environment set.
      Specified by:
        `getEnvironmentKeys` in interface `PETask`
      Returns:
        set of keys

    - #### getEnvironmentCount

          public int getEnvironmentCount()

      Get the number of keys which have the attribute environment set.
      Specified by:
        `getEnvironmentCount` in interface `PETask`
      Returns:
        the number of keys which have the attribute environment set.

    - #### isSetEnvironment

          public boolean isSetEnvironment()

      Determine if any environment attribute is set
      Specified by:
        `isSetEnvironment` in interface `PETask`
      Returns:
        `true` if the environment attribute is set

    - #### isSetEnvironment

          public boolean isSetEnvironment(java.lang.String key)

      Determine if any environment attribute is for a key is set
      Specified by:
        `isSetEnvironment` in interface `PETask`
      Parameters:
        `key` - the key
      Returns:
        `true` if the environment attribute is set

    - #### isSetDoContact

          public boolean isSetDoContact()

      Determine if the doContact attribute is set
      Specified by:
        `isSetDoContact` in interface `PETask`
      Returns:
        `true` if the doContact attribute is set

    - #### setDoContact

          public void setDoContact(boolean aDoContact)

      Set the doContact attribute.
      Specified by:
        `setDoContact` in interface `PETask`
      Parameters:
        `aDoContact` - the new value for the doContact attribute

    - #### isDoContact

          public boolean isDoContact()

      Get the value of the doContact attribute.
      Specified by:
        `isDoContact` in interface `PETask`
      Returns:
        the value of the doContact attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `PETask`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.